*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:  'Open Sans', 'sans-serif';
}
  html {
     scroll-behavior: smooth;
    }
.wrapper{
      margin: 0;
      padding: 0;
      width: 100%;
      min-height: 100vh;
      position: relative;
      background-color: mintcream;
}
/* header */
header{
     min-height: 0px;
     
}
    .head-bg{
      min-height: 515px;
      background-color: rgba(44, 51, 64, 0.8);
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;
    }
    
.head-nav{
      position: fixed;
       width: 100%;
       display: flex;
       justify-content: space-between;
        padding-left: 50px;
        padding-right: 50px;
       align-items: center;
       font-family: sans-serif;
       font-weight: normal;
       color:rgba(255, 255, 255, 0.7);
       top: 0px;
       left: 0px;
       color: black;
       z-index: 1;
       background-color: whitesmoke
      
}

.active{
      text-decoration:none ;
      color: black;
      min-height: 20px;
      line-height: 20px;
      font-size: large;
}
.head-nav-right ul{
     width: 100%;
     min-height: 20px;
     list-style: none;
     display: flex;
     gap: 20px;
     padding: 20px;
     line-height: 20px;
     margin-right: 100px;
     font-size: large;
     font-weight: 400;
     margin-left: 600px;
     
}
.head-nav-right ul li a{
       text-decoration: none;
       color:black;     
}

.head-nav-right{
      display: block;
}
.icon{
      display: none;
}
.head-nav-right ul li a:hover{
          text-decoration: underline;
          text-decoration-color: crimson;
          text-decoration-thickness: 2px;
          text-underline-offset: 10px;
}

.content{
        width: 100%;
        min-height: 100%;
        background-color: mintcream;
        
}
.container{
     width:62%;
     margin: auto;
     position: relative;
}

/* about */
.about{
      position: absolute;
      top: -360px;
}

.section-card {
      border-radius: 20px;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); /* Adjust the values as needed */
  }
  
  
.section-about{
    display: flex;
    justify-content:space-between;
    background-color: white;
    gap: 40px;
    padding: 70px;
    width: 100%;
 
}
.section-social{
     display: flex;
     justify-content: center;
     align-items: center;
     min-height: 100px;
     gap: 30px;
}
.section-social div:hover{
      transform: scale(1.3);
      transition: transform 0.3s ease;
}
.profile-left{
       width: 25%;
}
.profile-right{
        width: 55%;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        font-size:x-large;
}
.profile-left img{
      width: 290px;
      height: 317px;
}


  .profile-badge .badge{
     background-color: #e8676b;
     padding: 7px;
     font-size:medium;
     font-weight: bold;
     color: white;
}

.profile-badge{
    /* margin-top: 10px; */
    margin-bottom: 20px;
}
.profile-span{
      font-weight: 300;
      color: rgb(58, 58, 58);
}
.profile-title{
        font-size:70%;
}

.profile-list{
      display: flex;
      margin-top:10px ;
      gap: 30px;
      font-size: large;
      justify-content: space-between;
      margin-top: 40px;
}
.profile-list ul li{
     list-style-type: none;
     padding-bottom: 10px;
}
 .list-left{
    width: 40%;
     float: left;
     font-weight: bold;
}
.list-right{
    width: 140%;
    float: right;
}
.section-social{
      background-color: #e8676b;
      height: 20px;
}

.section-text-btn {
          text-align: center;
          width: 100%;
          margin: auto;
}
.section-button {
      margin-top: 50px;
      margin-bottom: 50px;
      
}
.section-button:hover {
      transform: scale(1.06);
      transition: transform 0.4s ease-in-out;
      
}
  
.section-button a{
      width: 50%;
      border: 1px solid gray;
      border-radius: 15px;
      text-decoration: none;
      color: black;
      padding:20px 50px 20px 50px;
      font-weight: bold;
}
.section-button a:hover{
      border: none;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
}
.section-text{
      font-size: larger;
      margin-top: 40px;
      margin-bottom: 50px;
      line-height: 35px;
    
}

/* Skills */
.skills{
      position: absolute;
      top:550px;
      width: 100%;
}
.skills-title{
        font-size: x-large;
        padding-bottom: 50px;
        text-align: center;
}
.front-back-end-skills{
        width: 100%;
        display: grid;
        grid-template-columns: repeat(4, 1fr);       
}

.skill-icon{
        width:100%;
        color:black;
        text-align: center;
       
}

.skill-icon i{
         border: 1px solid rgba(140, 141, 140, 0.5);
         font-size: xxx-large;
         padding: 25px;
         margin: 10px;
         border-radius: 22%;
         background-color: mintcream;
}

.express-icon{
        margin-top: 15px;
        border:1px solid rgba(140, 141, 140, 0.5);
        padding: 15px;
        border-radius: 20%;
        color: green;
        background-color: mintcream;
}

.skill-icon i:hover{
      transform: scale(1.06);
      transition: transform 0.4s ease;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); /* Adjust the values as needed */
}
.express-icon:hover{
      transform: scale(1.06);
      transition: transform 0.4s ease;
      box-shadow: 0 4px 20px rgba(95, 95, 95, 0.3);
}

/* Education */

 .Education{
        position: absolute;
        top: 1000px;
        width: 100%;
 }

.education-title{
        font-size: x-large;
        padding-bottom: 50px;
        text-align: center;
}
.timeline {
      position: relative;
      width: 660px;
      margin: 0 auto;
      margin-top: 20px;
      padding: 1em 0;
      list-style-type: none;
    }
    
    .timeline:before {
      position: absolute;
      left: 50%;
      top: 0;
      content: ' ';
      display: block;
      width: 6px;
      height: 100%;
      margin-left: -3px;
      background: rgb(80,80,80);
      background: -moz-linear-gradient(top, rgba(80,80,80,0) 0%, rgb(80,80,80) 8%, rgb(80,80,80) 92%, rgba(80,80,80,0) 100%);
      background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(30,87,153,1)), color-stop(100%,rgba(125,185,232,1)));
      background: -webkit-linear-gradient(top, rgba(80,80,80,0) 0%, rgb(80,80,80) 8%, rgb(80,80,80) 92%, rgba(80,80,80,0) 100%);
      background: -o-linear-gradient(top, rgba(80,80,80,0) 0%, rgb(80,80,80) 8%, rgb(80,80,80) 92%, rgba(80,80,80,0) 100%);
      background: -ms-linear-gradient(top, rgba(80,80,80,0) 0%, rgb(80,80,80) 8%, rgb(80,80,80) 92%, rgba(80,80,80,0) 100%);
      background: linear-gradient(to bottom, rgba(80,80,80,0) 0%, rgb(80,80,80) 8%, rgb(80,80,80) 92%, rgba(80,80,80,0) 100%);
      
      z-index: 5;
    }
    
    .timeline li {
      padding: 1em 0;
    }
    
    .timeline li:after {
      content: "";
      display: block;
      height: 0;
      clear: both;
      visibility: hidden;
    }
    
    .direction-l {
      position: relative;
      width: 300px;
      float: left;
      text-align: right;
    }
    
    .direction-r {
      position: relative;
      width: 300px;
      float: right;
    }
    
    .flag-wrapper {
      position: relative;
      display: inline-block;
      
      text-align: center;
    }
    
    .flag {
      position: relative;
      display: inline;
      background: rgb(248,248,248);
      padding: 6px 10px;
      border-radius: 5px;
      
      font-weight: 600;
      text-align: left;
    }
    
    .direction-l .flag {
      -webkit-box-shadow: -1px 1px 1px rgba(0,0,0,0.15), 0 0 1px rgba(0,0,0,0.15);
      -moz-box-shadow: -1px 1px 1px rgba(0,0,0,0.15), 0 0 1px rgba(0,0,0,0.15);
      box-shadow: -1px 1px 1px rgba(0,0,0,0.15), 0 0 1px rgba(0,0,0,0.15);
    }
    
    .direction-r .flag {
      -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,0.15), 0 0 1px rgba(0,0,0,0.15);
      -moz-box-shadow: 1px 1px 1px rgba(0,0,0,0.15), 0 0 1px rgba(0,0,0,0.15);
      box-shadow: 1px 1px 1px rgba(0,0,0,0.15), 0 0 1px rgba(0,0,0,0.15);
    }
    
    .direction-l .flag:before,
    .direction-r .flag:before {
      position: absolute;
      top: 50%;
      right: -40px;
      content: ' ';
      display: block;
      width: 12px;
      height: 12px;
      margin-top: -10px;
      background: #fff;
      border-radius: 10px;
      border: 4px solid rgb(255,80,80);
      z-index: 10;
    }
    
    .direction-r .flag:before {
      left: -40px;
    }
    
    .direction-l .flag:after {
      content: "";
      position: absolute;
      left: 100%;
      top: 50%;
      height: 0;
      width: 0;
      margin-top: -8px;
      border: solid transparent;
      border-left-color: rgb(248,248,248);
      border-width: 8px;
      pointer-events: none;
    }
    
    .direction-r .flag:after {
      content: "";
      position: absolute;
      right: 100%;
      top: 50%;
      height: 0;
      width: 0;
      margin-top: -8px;
      border: solid transparent;
      border-right-color: rgb(248,248,248);
      border-width: 8px;
      pointer-events: none;
    }
    
    .time-wrapper {
      display: inline;
      
      line-height: 1em;
      font-size: 0.66666em;
      color: rgb(250,80,80);
      vertical-align: middle;
    }
    
    .direction-l .time-wrapper {
      float: left;
    }
    
    .direction-r .time-wrapper {
      float: right;
    }
    
    .time {
      display: inline-block;
      padding: 4px 6px;
      background: rgb(248,248,248);
    }
    
    .desc {
      margin: 1em 0.75em 0 0;
      
      font-size: 0.77777em;
      font-style: italic;
      line-height: 1.5em;
    }
    
    .direction-r .desc {
      margin: 1em 0 0 0.75em;
    }
    
    /* ================ Timeline Media Queries ================ */
    
    @media screen and (max-width: 660px) {
    
    .timeline {
           width: 100%;
          padding: 4em 0 1em 0;
          margin-left: 20%;
          position: absolute;
          z-index: -1;
    }
    
    .timeline li {
          padding: 2em 0;
    }
    
    .direction-l,
    .direction-r {
          float: none;
          width: 100%;
          text-align: center;
    }
    
    .flag-wrapper {
          text-align: center;
    }
    
    .flag {
          background: rgb(255,255,255);
          z-index: 15;
    }
    
    .direction-l .flag:before,
    .direction-r .flag:before {
      position: absolute;
      top: -30px;
          left: 50%;
          content: ' ';
          display: block;
          width: 12px;
          height: 12px;
          margin-left: -9px;
          background: #fff;
          border-radius: 10px;
          border: 4px solid rgb(255,80,80);
          z-index: 10;
    }
    
    .direction-l .flag:after,
    .direction-r .flag:after {
          content: "";
          position: absolute;
          left: 50%;
          top: -8px;
          height: 0;
          width: 0;
          margin-left: -8px;
          border: solid transparent;
          border-bottom-color: rgb(255,255,255);
          border-width: 8px;
          pointer-events: none;
    }
    
    .time-wrapper {
          display: block;
          position: relative;
          margin: 4px 0 0 0;
          z-index: 14;
    }
    
    .direction-l .time-wrapper {
          float: none;
    }
    
    .direction-r .time-wrapper {
          float: none;
    }
    
    .desc {
          position: relative;
          margin: 1em 0 0 0;
          padding: 1em;
          background: rgb(245,245,245);
          -webkit-box-shadow: 0 0 1px rgba(0,0,0,0.20);
          -moz-box-shadow: 0 0 1px rgba(0,0,0,0.20);
          box-shadow: 0 0 1px rgba(0,0,0,0.20);
          
      z-index: 15;
    }
    
    .direction-l .desc,
    .direction-r .desc {
          position: relative;
          margin: 1em 1em 0 1em;
          padding: 1em;
          
      z-index: 15;
    }
    
    }
    
    @media (min-width:400px) and (max-width:600px){

      .direction-l .desc,
      .direction-r .desc {
            margin: 1em 4em 0 4em;
      }
    }


/* certification */
    
.certification{
        position: absolute;
        top: 1400px;
        width: 100%;
}
.certificate-title{
      font-size: x-large;
      padding-bottom: 50px;
      text-align: center;
}
.certificate-logo > p{
        text-align: center;
}
.certificate-logo{
      align-self: center;
}
.vl {
      border-left: 3px solid black;
      height: 120px;
      align-self: center;
    }
.certificate{
       width: 100%;
       display: flex;
       justify-content: center;
       align-content: center;
       gap: 60px;
       border: 1px solid black;
       border-radius: 30px;
       padding: 20px;
       /* margin-left: 110px; */
      
}
.certificate-details{
       font-size: larger;
       align-self: center;
       line-height: 35px;
}
/* Projects */

 .Projects{
       position: absolute;
       top: 1750px;
       width: 100%;
 }
.project-title{
        font-size: x-large;
        padding-bottom: 50px;
        text-align: center;
}

.project-cards{
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        width: 100%;
}
.project{
      display: block;
      text-align: center;
      width: 400px;
      padding: 30px;
      border: 1px solid gray;
      margin-bottom: 40px;
      border-radius: 45px;
      background-color: white;
}
.project:hover{
      transform: scale(1.01);
      transition: transform 0.4s ease;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2); /* Adjust the values as needed */
}

.project img{
       width: 300px;
       height: 200px;
       margin: 10px;
}
.project h3{
      margin:10px 0px 10px 0px ;
}
.project p{
      text-align: justify;
      margin:10px;
}
.project a {
      display: inline-block;
      background-color: #e8676b;
      padding: 10px;
      margin-top: 50px;
      width: 30%;
      border-radius: 20px;
      border-color: white;
      text-decoration: none;
      color: black;
      margin-left: 5px;
      color: #fff;
}

.project a:hover{
      display: inline-block;
        background-color: #fff;
        color: black;
        border: 1px solid gray;
        border-color: black;
}


.contact{
      position: absolute;
      top: 3200px;
      width: 100%;
}
.contact-title{
        font-size: x-large;
        padding-bottom: 50px;
        text-align: center;
}
.contact-us{
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      background-color:white;
      border: 1px solid gray;
      padding: 20px;
      min-height: 40px;
      line-height: 40px;
      margin-bottom: 100px;
      gap: 20px;
      border-radius: 25px;
      
}
.contact-icon a{
      font-size: larger;
      text-decoration: none;
      padding: 5px;
      color: black;
}

.scroll-top{
      position: fixed;
      top: 650px;
      right: 50px; 
      font-size:medium;
      border: 1px solid gray;
      padding: 12px;
      border-radius: 10px;
      text-decoration: none;
      color: black;
}

/* media query */

@media (max-width:376px){
      .wrapper{
            margin: 0;
            padding: 0;
            width: 100%;
            min-height: 100vh;
            position: relative;
            background-color: mintcream;
      }
/* header */
header{
      min-height: 0px;
      
 }
     .head-bg{
      width: 425px;
       min-height: 500px;
       background-color: rgba(44, 51, 64, 0.8);
     }

     .head-nav{
     
            display: flex;
            flex-direction: column;
            height: auto;
            padding: 20px;     
}
     .icon{
      display: block;
      position: absolute;
      right: 0;
      top: 11px;
      font-size: x-large;
      color: grey;
      padding-right: 10px;
      
    }
    .scroll-top{
      display: none;
}
     .head-nav-right ul{
          display: flex;
          flex-direction: column;
          margin-left: -10px;
          text-align: center;
     }
     .content {
      width: 100%;
      min-height: 100vh; 
      background-color: mintcream; 
  }
  .container {
      width: 100%; 
      padding: 50px; 
     
  }

  /* About */
  .about{
      position: absolute;
      top:-420px;
      left: 0;
      margin: 5%;
}
.section-card {
      margin: 10px;
      width: 100%;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); 
  }
  .section-about{
      display: flex;
      flex-direction: column;
      flex-wrap: wrap;
      justify-content:center;
      background-color: white;
      padding: 20px;
      width: 100%;    
  }
  .section-social{
       display: flex;
       justify-content: center;
       align-items: center;
       min-height: 100px;
       gap: 30px;
  }
  .section-social div:hover{
      transform: scale(1.3);
      transition: transform 0.3s ease;
  }
  .section-social div:hover{
      transform: scale(1.3);
      transition: transform 0.3s ease;
  }

  .profile-left{
      width: 100%;
      text-align: center;
}
.profile-right{
      width: 100%;
      font-size:large;      
}
.profile-left img{
      width: 300px;
      height: 350px;
}
.profile-badge .badge{
      background-color: #e8676b;
      padding: 9px;
      font-size:large;
      font-weight: bold;
      color: white;
 }
 .profile-info{
       text-align: center;
 }
 .profile-badge{
     margin-bottom: 20px;
     text-align: center;
 }
 .profile-span{
       font-weight: 300;
       color: rgb(58, 58, 58);
 }
 .profile-title{
         font-size:larger;
         text-align: center;
 }
 .section-text-btn {
      width: 100%;
      text-align: center;
}
.section-button {
margin-top: 70px;
margin-bottom: 50px;
margin-left: 10px;
}
.section-button:hover {
  transform: scale(1.06);
  transition: transform 0.4s ease-in-out;
  
}

.section-button a{
  width: 100%;
  border: 1px solid gray;
  text-decoration: none;
  color: black;
  padding:20px 50px 20px 50px;
  font-weight: bold;
}
.section-button a:hover{
  border: none;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
}
.section-text{
  font-size: large;
  margin-top: 40px;
  margin-bottom: 50px;
  text-align: center;
  margin-left: 2px;
  line-height: 35px;  
}

/* skills */

.skills{
      position: absolute;
      top:930px;
      width: 100%;
      text-align: center;
 }
 .skills-title{
        width: 100%;
        font-size: x-large;
        padding-bottom: 40px;
        text-align: center;
        margin-left: -26px;
}
.front-back-end-skills{
      width: 100%;
      display: grid;
      grid-template-columns: repeat(2, 150px); 
}
.skill-icon{
      width:100%;
      color:black;
      text-align: center;
     
}

.skill-icon i{
       border: 1px solid rgba(140, 141, 140, 0.5);
       font-size: xx-large;
       padding: 25px;
       margin: 10px;
       border-radius: 22%;
       background-color: mintcream;
}

.express-icon{
      width: 80px;
      height: 80px;
      margin-top: 15px;
      border:1px solid rgba(140, 141, 140, 0.5);
      padding: 15px;
      border-radius: 20%;
      color: green;
      background-color: mintcream;
}

.skill-icon i:hover{
    transform: scale(1.06);
    transition: transform 0.4s ease;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
}
.express-icon:hover{
    transform: scale(1.06);
    transition: transform 0.4s ease;
    box-shadow: 0 4px 20px rgba(95, 95, 95, 0.3);
}
/* Education */

.Education{
      position: absolute;
      top: 1570px;
      width: 100%;
      margin-left: -100px;
}

.education-title{
      width: 100%;
      font-size: x-large;
      padding-bottom: 50px;
      text-align: center;
      margin-left: 70px;
}
.timeline {
      
     padding: 4em 0 1em 0;  
     position: absolute;
     z-index: -1;
}
    /* certification */
    
    .certification{
      position: absolute;
      top: 2150px;
      width: 350px;
      /* margin-left: 5%; */
}
.certificate-title{
    font-size: x-large;
    padding-bottom: 50px;
    text-align: center;
}
.certificate-logo > p{
      align-self: center;
      text-align: center;
      font-size: larger;
}
.certificate-logo{
      display: flex;

}
.vl {
    border-left: 3px solid black;
    height: 120px;
    align-self: center;
    display: none;
  }
.certificate{
     width: 90%;
     display: flex;
     flex-direction: column;
     justify-content: center;
     border: 1px solid black;
     border-radius: 30px;
     padding: 20px;
    
}
.certificate-details{
      width: 300px;
      margin-top:-50px;
     font-size: large;
     /* align-self: center; */
     line-height: 35px;
     text-align: center;
     
}
/* Projects */

.Projects{
      position: absolute;
      top: 2600px;
      width: 100%;
}
.project-title{
      width: 100%;
       font-size: x-large;
       padding-bottom: 50px;
       text-align: center;
       margin-left: -30px;
}  
.project-cards{
      display: flex;
      flex-wrap: wrap; 
      width: 100%;
}
.project{
    display: block;
    text-align: center;
    width: 300px;
    padding: 30px;
    border: 1px solid gray;
    margin-bottom: 40px;
    border-radius: 45px;
    background-color: white;
}

.project img{
      width: 200px;
      height: 100px;
}


/* contact */
.contact{
      position: absolute;
      top:5170px;
      width: 300px;
      height: 70vh;
}
.contact-title{
        font-size: x-large;
        padding-bottom: 50px;
        text-align: center;
}
}

@media (min-width:377px) and (max-width:496px){
      .wrapper{
            margin: 0;
            padding: 0;
            width: 100%;
            height: auto;
            position: relative;
            background-color: mintcream;
      }
      
   /* header */
     header{
      min-height: 0px;

     }
     .head-bg{
       width: 100%;
       min-height: 500px;
       background-color: rgba(44, 51, 64, 0.8);
     }
  .head-nav{
        display: flex;
        flex-direction: column;
        height: auto;
        padding: 20px;
  }
    .icon{
      display: block;
      position: absolute;
      right: 0;
      top: 11px;
      font-size: x-large;
      color: grey;
      padding: 10px;
      
    }
     .head-nav-right ul{
          display: flex;
          flex-direction: column;
          margin-left: -200px;
          text-align: center;
     }
     .content {
      width: 100%;
      min-height: 100vh; 
      background-color: mintcream;  
  }
  
  .container {
      width: 100%; 
      max-width: 300px; 
      margin:auto 0; 
      padding: 20px; 
     
  }
  /* about */
  .about{
      position: absolute;
      top:-400px;
}
.section-card {
      width: 350px;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); 
      margin: 5%;
  }
  .section-about{
      display: flex;
      flex-direction: column;
      flex-wrap: wrap;
      justify-content:center;
      background-color: white;
      padding: 20px;
      width: 100%;
   
  }
  .section-social{
       display: flex;
       justify-content: center;
       align-items: center;
       min-height: 100px;
       gap: 30px;
  }
  .section-social div:hover{
      transform: scale(1.3);
      transition: transform 0.3s ease;
  }
      .profile-left{
            width: 100%;
            text-align: center;
      }
      .profile-right{
            width: 100%;
            font-size:large;
            
      }
      .profile-left img{
            width: 280px;
            height: 340px;
      }
      
      .profile-badge .badge{
            background-color: #e8676b;
            padding: 7px;
            font-size:medium;
            font-weight: bold;
            color: white;
       }
       .profile-info{
             text-align: center;
       }
     
       .profile-badge{
           margin-bottom: 20px;
           text-align: center;
       }
       .profile-span{
             font-weight: 300;
             color: rgb(58, 58, 58);
       }
       .profile-title{
               font-size:larger;
               text-align: center;
       }
       .section-text-btn {
            text-align: center;
            width: 100%;
  }
  .section-button {
        margin-top: 50px;
        margin-bottom: 50px;
        margin-left: 40px;  
  }
  .section-button:hover {
        transform: scale(1.06);
        transition: transform 0.4s ease-in-out;
        
    }
    
  .section-button a{
        width: 50%;
        border: 1px solid gray;
        text-decoration: none;
        color: black;
        padding:20px 50px 20px 50px;
        font-weight: bold;
  }
  .section-button a:hover{
        border: none;
        box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
  }
  .section-text{
        font-size: large;
        margin-top: 40px;
        margin-bottom: 50px;
        margin-left: 20px;  
        text-align: justify;
        line-height: 35px;  
  }

  /* skills */

  .skills{
      position: absolute;
      top:940px;
      width: 100%;
 }
 .skills-title{
        font-size: x-large;
        padding-bottom: 40px;
        text-align: center;
        margin-left: 30%;
}
.front-back-end-skills{
      width: 100%;
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      margin-left: 13%;
      
}
.skill-icon{
      width:100%;
      color:black;
      text-align: center;
     
}

.skill-icon i{
       border: 1px solid rgba(140, 141, 140, 0.5);
       font-size: xx-large;
       padding: 25px;
       margin: 10px;
       border-radius: 22%;
       background-color: mintcream;
}

.express-icon{
      width: 80px;
      height: 84px;
      margin-top: 15px;
      border:1px solid rgba(140, 141, 140, 0.5);
      padding: 15px;
      border-radius: 20%;
      color: green;
      background-color: mintcream;
}

.skill-icon i:hover{
    transform: scale(1.06);
    transition: transform 0.4s ease;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); 
}
.express-icon:hover{
    transform: scale(1.06);
    transition: transform 0.4s ease;
    box-shadow: 0 4px 20px rgba(95, 95, 95, 0.3);
}


/* Education */
.Education{
      position: absolute;
      top: 1600px;
      width: 100%;
}

.education-title{
      font-size: x-large;
      padding-bottom: 50px;
      text-align: center;
      margin-left: 25%;
}

.timeline {
      position: relative;
      width: 370px;
      margin: 0 auto;
      margin-top: 20px;
      padding: 1em 0;
      list-style-type: none;
    }


    /* certification */
    
.certification{
      position: absolute;
      top: 2150px;
      width: 390px;
      /* margin-left: 5%; */
}
.certificate-title{
    font-size: x-large;
    padding-bottom: 50px;
    text-align: center;
}
.certificate-logo > p{
      align-self: center;
      text-align: center;
      font-size: larger;
}
.certificate-logo{
      display: flex;

}
.vl {
    border-left: 3px solid black;
    height: 120px;
    align-self: center;
    display: none;
  }
.certificate{
     width: 380px;
     display: flex;
     flex-direction: column;
     justify-content: center;
     border: 1px solid black;
     border-radius: 30px;
     padding: 20px;
     text-align: center;
     /* margin-left: 110px; */
    
}
.certificate-details{
      margin-top:-50px;
     font-size: large;
     align-self: center;
     line-height: 35px;
}


/* Projects */
.Projects{
      position: absolute;
      top: 2600px;
      width: 100%;
}
.project-title{
       font-size: x-large;
       padding-bottom: 50px;
       text-align: center;
       margin-left:25%;
}    
.project-cards{
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      width: 100%;
}
.project{
    display: block;
    text-align: center;
    width: 350px;
    padding: 25px;
    border: 1px solid gray;
    margin-bottom: 40px;
    border-radius: 45px;
    margin-left: 5%;
    background-color: white;
}
.project:hover{
      transform: scale(1.01);
      transition: transform 0.4s ease;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2); 
}
.project a:hover{
      display: inline-block;
        background-color: #fff;
        color: black;
        border: 1px solid gray;
        border-color: black;
}

/* contact */
.contact{
      position: absolute;
      top:5300px;
      width: 350px;
      margin-left: 5%;
}
.contact-title{
        font-size: x-large;
        padding-bottom: 50px;
        text-align: center;
}
.scroll-top{
      display: none;
}

}

@media (min-width:497px) and (max-width:768px){
      .wrapper{
            margin: 0;
            padding: 0;
            width: 100%;
            height: auto;
            position: relative;
            background-color: mintcream;
      }
      /* header */
      header{
            min-height: 0px;
      
           }
           .head-bg{
             width: 100%;
             min-height: 500px;    
             background-color: rgba(44, 51, 64, 0.8);
           }
           .head-nav{
            display: flex;
            flex-direction: column;
            height: auto;
            padding: 20px;
      }
      .icon{
            display: block;
            position: absolute;
            right: 0;
            top: 11px;
            font-size: x-large;
            color: grey;
            padding-right: 50px;
            
          }
           .head-nav-right ul{
                display: flex;
                flex-direction: column;
                margin-left: -340px;
                text-align: center;
           }
           .content {
            width: 100%;
            min-height: 100vh; 
            background-color: mintcream; 
        }
        .container {
            width: 100%; 
            max-width: 700px; 
            margin:auto 0; 
            padding: 50px; 
           
        }
        /* about */
        .about{
            position: absolute;
            top:-320px;
      }
      .section-card {
            width: 100%;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); 
        }
      .section-about{
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            justify-content:center;
            background-color: white;
            padding: 20px;
            width: 100%;    
        }
        .section-social{
             display: flex;
             justify-content: center;
             align-items: center;
             min-height: 100px;
             gap: 30px;
        }
        .section-social div:hover{
            transform: scale(1.3);
            transition: transform 0.3s ease;
        }

        .profile-left{
            width: 100%;
            text-align: center;
      }
      .profile-right{
            width: 100%;
            font-size:large;      
      }
      .profile-left img{
            width: 400px;
            height: 430px;
      }
      .profile-badge .badge{
            background-color: #e8676b;
            padding: 9px;
            font-size:large;
            font-weight: bold;
            color: white;
       }
       .profile-info{
             text-align: center;
       }
       .profile-badge{
           margin-bottom: 20px;
           text-align: center;
       }
       .profile-span{
             font-weight: 300;
             color: rgb(58, 58, 58);
       }
       .profile-title{
               font-size:larger;
               text-align: center;
       }

       .section-text-btn {
            width: 100%;
            text-align: center;
  }
  .section-button {
      margin-top: 70px;
      margin-bottom: 50px;
  }
  .section-button:hover {
        transform: scale(1.06);
        transition: transform 0.4s ease-in-out;
        
    }
    
  .section-button a{
        width: 100%;
        border: 1px solid gray;
        text-decoration: none;
        color: black;
        padding:20px 50px 20px 50px;
        font-weight: bold;
  }
  .section-button a:hover{
        border: none;
        box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
  }
  .section-text{
        font-size: large;
        margin-top: 40px;
        margin-bottom: 50px;
        text-align: justify;
        margin-left: 2px;
        line-height: 35px;  
  }

  /* skills */

  .skills{
      position: absolute;
      top:1000px;
      width: 100%;
      text-align: center;
 }
 .skills-title{
        width: 100%;
        font-size: x-large;
        padding-bottom: 40px;
        text-align: center;
}
 
.front-back-end-skills{
      width: 100%;
      display: grid;
      grid-template-columns: repeat(3, 1fr); 
}
.skill-icon{
      width:100%;
      color:black;
      text-align: center;
     
}

.skill-icon i{
       border: 1px solid rgba(140, 141, 140, 0.5);
       font-size: xxx-large;
       padding: 25px;
       margin: 10px;
       border-radius: 22%;
       background-color: mintcream;
}

.express-icon{
      margin-top: 15px;
      border:1px solid rgba(140, 141, 140, 0.5);
      padding: 15px;
      border-radius: 20%;
      color: green;
      background-color: mintcream;
}

.skill-icon i:hover{
    transform: scale(1.06);
    transition: transform 0.4s ease;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
}
.express-icon:hover{
    transform: scale(1.06);
    transition: transform 0.4s ease;
    box-shadow: 0 4px 20px rgba(95, 95, 95, 0.3);
}

/* education */

.Education{
      position: absolute;
      top: 1600px;
      width: 100%;
}

.education-title{
      width: 100%;
      font-size: x-large;
      padding-bottom: 50px;
      text-align: center;
}
.timeline {
      
     padding: 4em 0 1em 0;
     
     position: absolute;
     z-index: -1;
}

/* certification */
    
.certification{
      position: absolute;
      top: 2000px;
      width: 100%;
}
.certificate-title{
    font-size: x-large;
    padding-bottom: 50px;
    text-align: center;
}
.certificate-logo > p{
      text-align: center;
}
.certificate-logo{
    align-self: center;
}
.vl {
    border-left: 3px solid black;
    height: 120px;
    align-self: center;
  }
.certificate{
     width: 90%;
     display: flex;
     justify-content: center;
     align-content: center;
     gap: 40px;
     border: 1px solid black;
     border-radius: 30px;
     padding: 20px;
     margin-left: 3%;
     text-align:center;
    
}
.certificate-details{
     font-size: larger;
     align-self: center;
     line-height: 35px;
}

/* projects */
.Projects{
      position: absolute;
      top: 2350px;
      width: 100%;
}
.project-title{
      width: 100%;
       font-size: x-large;
       padding-bottom: 50px;
       text-align: center;
       /* margin-left:53%; */
}  

.project-cards{
      display: flex;
      flex-wrap: wrap;
      
      width: 100%;
      margin-left:20px;
}
.project{
    display: block;
    text-align: center;
    width: 600px;
    padding: 30px;
    border: 1px solid gray;
    margin-bottom: 40px;
    border-radius: 45px;
    background-color: white;
}
.project:hover{
      transform: scale(1.01);
      transition: transform 0.4s ease;
      box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2); 
}
.project a:hover{
      display: inline-block;
        background-color: #fff;
        color: black;
        border: 1px solid gray;
        border-color: black;
}

/* contact */
.contact{
      position: absolute;
      top:4800px;
      width: 100%;
      height: 70vh;
}
.contact-title{
        font-size: x-large;
        padding-bottom: 50px;
        text-align: center;
}
.scroll-top{
  
            display: none;
      
}
 }


 @media (min-width:769px) and (max-width:1024px){
      .wrapper{
            margin: 0;
            padding: 0;
            width: 100%;
            min-height: 100vh;
            position: relative;
            background-color: mintcream;
      }
      /* header */
      header{
           min-height: 0px;
           
      }
          .head-bg{
            min-height: 515px;
            background-color: rgba(44, 51, 64, 0.8);
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
          }
          
      .head-nav{
            position: fixed;
             width: 100%;
             display: flex;
             justify-content: space-between;
              padding-left: 50px;
              padding-right: 50px;
             align-items: center;
             font-family: sans-serif;
             font-weight: normal;
             color:rgba(255, 255, 255, 0.7);
             top: 0px;
             left: 0px;
             color: black;
             z-index: 1;
             background-color: whitesmoke
            
      }
      .active{
            text-decoration:none ;
            color: black;
            min-height: 20px;
            line-height: 20px;
            font-size: large;
      }
      .head-nav-right ul{
           width: 100%;
           min-height: 20px;
           list-style: none;
           display: flex;
           gap: 20px;
           padding: 20px;
           line-height: 20px;
           margin-right: 100px;
           font-size: large;
           font-weight: 400;
           margin-left: -100px;
           
      }
      .head-nav-right ul li a{
             text-decoration: none;
             color:black;     
      }
      
      .head-nav-right{
            display: block;
      }
      .icon{
            display: none;
      }
      .head-nav-right ul li a:hover{
                text-decoration: underline;
                text-decoration-color: crimson;
                text-decoration-thickness: 2px;
                text-underline-offset: 10px;
      }
      
      .content{
              width: 100%;
              min-height: 100%;
              background-color: mintcream;
              
      }
      .container{

           width: 80%;
           margin: auto;
           position: relative;
      }
      /* about */
      .about{
            position: absolute;
            top: -360px;
      }
      
      .section-card {
            border-radius: 20px;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); 
        }
        
        
      .section-about{
          display: flex;
          justify-content:space-between;
          background-color: white;
          gap: 40px;
          padding: 70px;
          width: 100%;
       
      }
      .section-social{
           display: flex;
           justify-content: center;
           align-items: center;
           min-height: 100px;
           gap: 30px;
      }
      .section-social div:hover{
            transform: scale(1.3);
            transition: transform 0.3s ease;
      }
      .profile-left{
             width: 25%;
      }
      .profile-right{
              width: 50%;
              display: flex;
              flex-direction: column;
              flex-wrap: wrap;
              font-size:x-large;
      }
      .profile-left img{
            width: 290px;
            height: 317px;
      }
      
      
        .profile-badge .badge{
           background-color: #e8676b;
           padding: 7px;
           font-size:medium;
           font-weight: bold;
           color: white;
      }
      
      .profile-badge{
        
          margin-bottom: 20px;
      }
      .profile-span{
            font-weight: 300;
            color: rgb(58, 58, 58);
      }
      .profile-title{
              font-size:70%;
      }
      
      
      
      .profile-list{
            display: flex;
            margin-top:10px ;
            gap: 30px;
            font-size: large;
            justify-content: space-between;
            margin-top: 40px;
      }
      .profile-list ul li{
           list-style-type: none;
           padding-bottom: 10px;
      }
       .list-left{
          width: 30%;
           float: left;
           font-weight: bold;
      }
      .list-right{
          width: 100%;
          float: right;
      }
      .section-social{
            background-color: #e8676b;
            height: 20px;
      }
      
      .section-text-btn {
                text-align: center;
                width: 100%;
                margin: auto;
      }
      .section-button {
            margin-top: 50px;
            margin-bottom: 50px;
            
      }
      .section-button:hover {
            transform: scale(1.06);
            transition: transform 0.4s ease-in-out;
            
        }
        
      .section-button a{
            width: 50%;
            border: 1px solid gray;
            border-radius: 15px;
            text-decoration: none;
            color: black;
            padding:20px 50px 20px 50px;
            font-weight: bold;
        
      }
      .section-button a:hover{
            border: none;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
      }
      .section-text{
            font-size: larger;
            margin-top: 40px;
            margin-bottom: 50px;
            line-height: 35px;
          
      }
      
      
      /* Skills */
      .skills{
            position: absolute;
            top:550px;
            width: 100%;
      }
      .skills-title{
              font-size: x-large;
              padding-bottom: 50px;
              text-align: center;
      }
      .front-back-end-skills{
              width: 100%;
              display: grid;
              grid-template-columns: repeat(4, 1fr);
              
              
      }
      
      .skill-icon{
              width:100%;
              color:black;
              text-align: center;
             
      }
      
      .skill-icon i{
               border: 1px solid rgba(140, 141, 140, 0.5);
               font-size: xxx-large;
               padding: 25px;
               margin: 10px;
               border-radius: 22%;
               background-color: mintcream;
              
      
      }
      
      .express-icon{
              margin-top: 15px;
              border:1px solid rgba(140, 141, 140, 0.5);
              padding: 15px;
              border-radius: 20%;
              color: green;
              background-color: mintcream;
      }
      
      .skill-icon i:hover{
            transform: scale(1.06);
            transition: transform 0.4s ease;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3); 
      }
      .express-icon:hover{
            transform: scale(1.06);
            transition: transform 0.4s ease;
            box-shadow: 0 4px 20px rgba(95, 95, 95, 0.3);
      }
      .scroll-top{
            position: fixed;
            top: 560px;
            right: 50px; 
            font-size:medium;
            border: 1px solid gray;
            padding: 12px;
            border-radius: 10px;
            text-decoration: none;
            color: black;
      }
      .certificate{
            width: 90%;
            display: flex;
            justify-content: center;
            align-content: center;
            gap: 40px;
            border: 1px solid black;
            border-radius: 30px;
            padding: 20px;
            margin-left: 6%;
            text-align:center;
           
       }
 }

 @media (min-width:1024px){
      .certificate{
            width: 90%;
            display: flex;
            justify-content: center;
            align-content: center;
            gap: 60px;
            border: 1px solid black;
            border-radius: 30px;
            padding: 20px;
            margin-left: 5%;
            text-align:center;
           
       }
 }